Subject: [TLS] Adoption call for draft-salowey-tls-rfc8447bis

From: Christopher Wood <[email-masked]>
Date: Fri, 18 Feb 2022 19:32:36 -0800

Hi folks,

Following up on the TLS WG meeting in IETF 112 and draft update in December, this email begins an adoption call for draft-salowey-tls-rfc8447bis, located here:

   https://datatracker.ietf.org/doc/draft-salowey-tls-rfc8447bis/
   
This adoption call will last for two weeks. Please reply to this email by March 4 indicating whether you think this document should be adopted and worked on by the WG.

Thanks,
Chris

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 23 Feb 2022 18:44:58 +0000

Oops.  Reply over reply-all, not common :)

On 2/23/22, 12:34 PM, "Christopher Wood" <[email-masked]> wrote:

    Oops — I think you accidentally replied only to me. Would you mind replying on the list as well?

    > On Feb 19, 2022, at 7:23 AM, Salz, Rich <[email-masked]> wrote:
    > 
    > I support adoption and will help read/review/comment on the doc. 
    >

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 23 Feb 2022 10:59:10 -0800

I support adoption.

On Wed, Feb 23, 2022 at 10:45 AM Salz, Rich <rsalz=
[email-masked]> wrote:

>     >>  Following up on the TLS WG meeting in IETF 112 and draft update in
> December, this email begins an adoption call for
> draft-salowey-tls-rfc8447bis, located here:
>     >
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
>

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 24 Feb 2022 08:41:30 +1100

Adopt.

I found the changes from 8447 hard to find without a diff:

https://www.ietf.org/rfcdiff?url1=rfc8447&url2=draft-salowey-tls-rfc8447bis-01

Some comments on the content:

* Recommended = D requires standards action.  I think that you might want IETF consensus instead.

* A lot of the "changes" here have already been carried out.  Perhaps this document can be a lot shorter.  I still think that the generic text is useful to keep, but there are sections that concentrate only on stuff that has already been done by IANA.  Maybe those sections can go.

* This cites a specific draft version of TLS 1.3 rather than RFC 8446 and I can't see why.

On Sat, Feb 19, 2022, at 14:32, Christopher Wood wrote:
> This adoption call will last for two weeks. Please reply to this email 
> by March 4 indicating whether you think this document should be adopted 
> and worked on by the WG.
>
> Thanks,
> Chris
>
>

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 24 Feb 2022 09:04:12 +1100

One additional bug I noticed:

Exporter Value                  | Recommended |
--------------------------------|-------------|
client finished                 |         Y |
server finished                 |         Y |
master secret                   |         Y |
key expansion                   |         Y |

These should probably be 'D', based on the note in RFC 5705 (which oddly, references itself in the equivalent of third person here):

   Note: (1) These entries are reserved and MUST NOT be used for the
   purpose described in RFC 5705, in order to avoid confusion with
   similar, but distinct, use in RFC 5246.

On Thu, Feb 24, 2022, at 08:41, Martin Thomson wrote:
> * A lot of the "changes" here have already been carried out.  Perhaps 
> this document can be a lot shorter.  I still think that the generic 
> text is useful to keep, but there are sections that concentrate only on 
> stuff that has already been done by IANA.  Maybe those sections can go.
>